Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKKeyStore.BouncyCastleStore

    java.lang.Object
      java.security.KeyStoreSpi
          org.bouncycastle.jce.provider.JDKKeyStore
              org.bouncycastle.jce.provider.JDKKeyStore.BouncyCastleStore

All Implemented Interfaces:
  BCKeyStore

Enclosing class:
  JDKKeyStore

public static class JDKKeyStore.BouncyCastleStore
extends JDKKeyStore

the BouncyCastle store. This wont work with the key tool as the store is stored encrypteed on disk, so the password is mandatory, however if you hard drive is in a bad part of town and you absolutely, positively, don't want nobody peeking at your things, this is the one to use, no problem! After all in a Bouncy Castle nothing can touch you. Also referred to by the alias UBER.

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JDKKeyStore
`JDKKeyStore.BouncyCastleStore`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JDKKeyStore
`random, table`

Constructor Summary
`JDKKeyStore.BouncyCastleStore()`

Method Summary
`void` | `engineLoad(java.io.InputStream stream, char[] password)`
`void` | `engineStore(java.io.OutputStream stream, char[] password)`

Methods inherited from class org.bouncycastle.jce.provider.JDKKeyStore
`engineAliases, engineContainsAlias, engineDeleteEntry, engineGetCertificate, engineGetCertificateAlias, engineGetCertificateChain, engineGetCreationDate, engineGetKey, engineIsCertificateEntry, engineIsKeyEntry, engineSetCertificateEntry, engineSetKeyEntry, engineSetKeyEntry, engineSize, isSameAs, loadStore, makePBECipher, saveStore, setRandom`

Methods inherited from class java.security.KeyStoreSpi
`engineEntryInstanceOf, engineGetEntry, engineLoad, engineSetEntry, engineStore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKKeyStore.BouncyCastleStore

    public JDKKeyStore.BouncyCastleStore()

Method Detail

### engineLoad

    public void engineLoad(java.io.InputStream stream,
                           char[] password)
                    throws java.io.IOException

  Overrides:
    `engineLoad` in class `JDKKeyStore`
  Throws:
    `java.io.IOException`

### engineStore

    public void engineStore(java.io.OutputStream stream,
                            char[] password)
                     throws java.io.IOException

  Overrides:
    `engineStore` in class `JDKKeyStore`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD